Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 58381 - [41cat] Install-dir, change default -> 'Program Files\Java\netbeans-4.x'
[41cat] Install-dir, change default -> 'Program Files\Java\netbeans-4.x'
Status: RESOLVED WONTFIX
Product: installer
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P3 with 1 vote (vote)
: 4.x
Assigned To: mslama
issues@installer
:
Depends on:
Blocks: 210988
  Show dependency treegraph
 
Reported: 2005-04-27 16:22 UTC by ulfzibis
Modified: 2012-04-13 11:08 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2005-04-27 16:22:27 UTC
[ JDK VERSION : 1.5.0_02 ]

On Windows please change default installation folder to 'Program Files\Java\netbeans-4.x'.

I like to have all Java applications in 'Program Files\Java\xxx' to indicate, that they are no native Windows applications.

JDK's default installation folder also is 'Program Files\Java\jdk1.5.0'.
Comment 1 ulfzibis 2005-04-27 16:29:27 UTC
I set target to 4.1, because this issue can't be much work, or much risk.
Comment 2 mslama 2005-04-27 16:36:00 UTC
You can simply add "\Java" to default suggested installation location if you
prefer. I always thought Java dir is for JDK/JRE only not for another apps. But
its a matter of taste you can make whatever you want at your machine :).

Petr what do you think? To me it is WONTFIX. We cannot find default location
which would please everyone.
Comment 3 mslama 2005-04-27 16:37:17 UTC
To TM it is not much work but it is too late anyway as we have code freeze
already even if we would change this.
Comment 4 ulfzibis 2005-04-27 17:39:10 UTC
> I always thought Java dir is for JDK/JRE only not for another apps.

Not very long time ago default of JDK was C:\J2SDK1.3\ and of JRE it was
C:\Program Files\Javasoft\...

Now I like to have all Java stuff in C:\Program Files\Java\, also additional
packages like JDO, db4o, WTK22, which also not belong to JDK/JRE. Where should I
put them better.

Perhaps it makes sense to put other Java enduser applications not related to
developement in different places, but netBeans is related to developement, and
JRE not.
Comment 5 Petr Blaha 2005-04-27 17:46:31 UTC
Marku, agree with you. Most people like default install directory and I'm
thinking that we can't satisfy all users. User can change the install dir
himself in install directory panel.
Please, mark as WONTFIX.
Comment 6 mslama 2005-08-24 11:51:43 UTC
Closing.as WONTFIX.
Comment 7 ulfzibis 2011-01-26 14:28:46 UTC
On the other hand, %ProgramFiles% is for independent Windows applications, but NetBeans isn't.
It's more like a "script" for java.exe.

Example:
If you have created a MS Access GUI Database, you won't come to the idea, to locate it to %ProgramFiles%.
Comment 8 Antonin Nebuzelsky 2012-04-13 11:08:27 UTC
(In reply to comment #7)
> On the other hand, %ProgramFiles% is for independent Windows applications, but
> NetBeans isn't.
> It's more like a "script" for java.exe.

I respect the opinions, but this is disagreed.

No intention to install NetBeans under Java.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo